Package org.eclipse.graphiti.ui.internal.config

## Interface IConfigurationProviderHolder

All Known Subinterfaces:
  `IAnchorContainerEditPart`, `IAnchorEditPart`, `IBoxRelativeAnchorEditPart`, `IConnectionEditPart`, `IContainerShapeEditPart`, `IDiagramEditPart`, `IEditPartFactory`, `IEditPolicyFactory`, `IFixPointAnchorEditPart`, `IPictogramElementEditPart`, `IShapeEditPart`

All Known Implementing Classes:
  `AbstractCommand`, `AbstractConfigurationProviderHolder`, `AddModelObjectCommand`, `AdvancedAnchorEditPart`, `CompositeConnectionEditPart`, `ConnectionDecoratorEditPart`, `ConnectionEditPart`, `ContainerShapeEditPart`, `CreateConnectionCommand`, `CreateModelObjectCommand`, `CurvedConnectionEditPart`, `DefaultEditPolicyFactory`, `DiagramEditPart`, `FreeFormConnectionEditPart`, `GFCommand`, `GFEditPolicyDelegate`, `ManhattanConnectionEditPart`, `PictogramsEditPartFactory`, `ReconnectCommand`, `ShapeEditPart`

    public interface IConfigurationProviderHolder

A simple interface, which can be implemented by all classes/interfaces which provide access to an IConfigurationProviderInternal.

### Method Summary

All Methods Instance Methods Abstract Methods
`IConfigurationProvider` `getConfigurationProvider()` Returns the IConfigurationProviderInternal.

### Method Detail

#### getConfigurationProvider

    IConfigurationProvider getConfigurationProvider()
                                             throws java.lang.IllegalStateException

Returns the IConfigurationProviderInternal. Must not return null.

Returns:
  The IConfigurationProviderInternal. Must not return null.
Throws:
  `java.lang.IllegalStateException` - If no IConfigurationProviderInternal is available (if it is null).